Bug 204023 - devel/svn2git: broken with svn-1.9
Summary: devel/svn2git: broken with svn-1.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: David Naylor
URL: https://github.com/svn-all-fast-expor...
Keywords: dogfood, easy, patch, patch-ready, regression
Depends on:
Blocks:
 
Reported: 2015-10-26 02:54 UTC by Peter Wemm
Modified: 2015-12-15 21:37 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (dbn)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Wemm freebsd_committer freebsd_triage 2015-10-26 02:54:49 UTC
This causes the freebsd.org -> github export to fail.

Invoked as:' /usr/local/bin/svn2git --add-metadata-notes --identity-domain FreeBSD.org --rules /home/git/freebsd-base.rules /home/svn/base'
Exporting revision 289959 .svn: E160013: File not found: revision 289959, path '/stable/10/tools/build/options/WITHOUT_SYSINSTALL'
Error in svn2git conversion of /home/svn/base

Somebody else has reported this upstream and has provided a fix:
https://github.com/svn-all-fast-export/svn2git/pull/4

The svn2git/svn-all-fast-export tool does appear to be using the API incorrectly, but svn-1.8 doesn't appear to detect the usage error.

For now I've rolled the exporter back to svn-1.8.  If this fix/workaround could be investigated for potential inclusion in the port it would be appreciated.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-26 06:25:11 UTC
Thanks Peter
Comment 2 Peter Wemm freebsd_committer freebsd_triage 2015-11-02 05:43:24 UTC
Any news? I need this patch for the cluster.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-02 06:02:58 UTC
I have a patch in progress (running poudriere now). Will add it to reviews. and add review URL here.
Comment 4 Peter Wemm freebsd_committer freebsd_triage 2015-11-02 06:04:29 UTC
I table flipped a few minutes ago and added it as a local patch on the cluster package builder.  We're running this live now.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-02 07:36:33 UTC
Add review URL:

https://reviews.freebsd.org/D4066
Comment 6 commit-hook freebsd_committer 2015-12-15 21:35:47 UTC
A commit references this bug:

Author: dbn
Date: Tue Dec 15 21:34:52 UTC 2015
New revision: 403814
URL: https://svnweb.freebsd.org/changeset/ports/403814

Log:
  devel/svn2git: update to 1.0.10.a.20151201

  Changes:
   - Drop local mirror from MASTER_SITES
   - Update to latest commit after 1.0.10 release (see change log)
   - Simplify option specific extra patches
   - Patch scr.pro with the port's version
   - Fix patch per portlint's recommendation

  Change Log:
   - Fix bug exposed by update to svn-1.9: deleted directories are not
     available in the revision the directory was deleted in [1].

  PR:		204023
  Reported by:	Guy Helmer <guy.helmer@gmail.com> [1]
  Differential Revision:	https://reviews.freebsd.org/D4066

Changes:
  head/devel/svn2git/Makefile
  head/devel/svn2git/distinfo
  head/devel/svn2git/files/patch-src__src.pro
Comment 7 David Naylor freebsd_committer 2015-12-15 21:37:05 UTC
Fixed upstream and committed to ports.  Thank you for the PR.